#include <stdio.h>
#include <fcntl.h>

#define DELKA 1024	/* delka retezce */
#define PROTECT 00644

int main(int argc, char *argv[])
{
  char buf[DELKA];	/* pomocny retezec pro DELKA znaku */
  int fd;		/* file descriptor */
  int n;		/* pocet nactenych znaku */
  
  if (argc != 2) {	/* test na spravny pocet parametru */
    printf("Nespravne zadame parametry! \n");
    return(1);
  }
  
  fd = creat(argv[1], PROTECT);		/* vytvoreni souboru */
  
  n = read(0, buf, sizeof(buf));	/* cteni z klavesnice do 's' */
  write(fd, buf, n * sizeof(char));	/* zapis do souboru */
  
  return(0);
}